### Constructor

# GdkPixbuf PixbufAnimation new_from_stream_finish

#### Declaration [src]

    GdkPixbufAnimation*
    gdk_pixbuf_animation_new_from_stream_finish (
      GAsyncResult* async_result,
      GError** error
    )

#### Description [src]

Finishes an asynchronous pixbuf animation creation operation started with `gdk_pixbuf_animation_new_from_stream_async()`.

Available since: | 2.28

#### Parameters

`async_result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GdkPixbufAnimation`
| The newly created animation.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.